1.0.2 API documentation: GLM_GTC_type_ptr

| 1.0.2 API documentation

Functions
GLM_GTC_type_ptr
Recommended extensions

## Functions
template<typename T >
GLM_FUNC_DECL mat< 2, 2, T, defaultp > | make_mat2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 2, 2, T, defaultp > | make_mat2x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 2, 3, T, defaultp > | make_mat2x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 2, 4, T, defaultp > | make_mat2x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 3, 3, T, defaultp > | make_mat3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 3, 2, T, defaultp > | make_mat3x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 3, 3, T, defaultp > | make_mat3x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 3, 4, T, defaultp > | make_mat3x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | make_mat4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 2, T, defaultp > | make_mat4x2 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 3, T, defaultp > | make_mat4x3 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | make_mat4x4 (T const *const ptr)
| Build a matrix from a pointer. More...
template<typename T >
GLM_FUNC_DECL qua< T, defaultp > | make_quat (T const *const ptr)
| Build a quaternion from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 1, T, Q > | make_vec1 (vec< 1, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 1, T, Q > | make_vec1 (vec< 2, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 1, T, Q > | make_vec1 (vec< 3, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 1, T, Q > | make_vec1 (vec< 4, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T >
GLM_FUNC_DECL vec< 2, T, defaultp > | make_vec2 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | make_vec2 (vec< 1, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | make_vec2 (vec< 2, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | make_vec2 (vec< 3, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | make_vec2 (vec< 4, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T >
GLM_FUNC_DECL vec< 3, T, defaultp > | make_vec3 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | make_vec3 (vec< 1, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | make_vec3 (vec< 2, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | make_vec3 (vec< 3, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | make_vec3 (vec< 4, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T >
GLM_FUNC_DECL vec< 4, T, defaultp > | make_vec4 (T const *const ptr)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | make_vec4 (vec< 1, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | make_vec4 (vec< 2, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | make_vec4 (vec< 3, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | make_vec4 (vec< 4, T, Q > const &v)
| Build a vector from a pointer. More...
template<typename genType >
GLM_FUNC_DECL genType::value_type const * | value_ptr (genType const &v)
| Return the constant address to the data of the input parameter. More...

## Detailed Description

Include <glm/gtc/type_ptr.hpp> to use the features of this extension.

Handles the interaction between pointers and vector, matrix types.

This extension defines an overloaded function, glm::value_ptr. It returns a pointer to the memory layout of the object. Matrix types store their values in column-major order.

This is useful for uploading data to matrices or copying data to buffer objects.

Example:

#include <glm/glm.hpp>
#include <glm/gtc/type_ptr.hpp>
glm::vec3 aVector(3);
glm::mat4 someMatrix(1.0);
glUniform3fv(uniformLoc, 1, glm::value_ptr(aVector));
glUniformMatrix4fv(uniformMatrixLoc, 1, GL_FALSE, glm::value_ptr(someMatrix));

<glm/gtc/type_ptr.hpp> need to be included to use the features of this extension.

## Function Documentation

## ◆ make_mat2()

GLM_FUNC_DECL mat<2, 2, T, defaultp> glm::make_mat2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat2x2()

GLM_FUNC_DECL mat<2, 2, T, defaultp> glm::make_mat2x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat2x3()

GLM_FUNC_DECL mat<2, 3, T, defaultp> glm::make_mat2x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat2x4()

GLM_FUNC_DECL mat<2, 4, T, defaultp> glm::make_mat2x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat3()

GLM_FUNC_DECL mat<3, 3, T, defaultp> glm::make_mat3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat3x2()

GLM_FUNC_DECL mat<3, 2, T, defaultp> glm::make_mat3x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat3x3()

GLM_FUNC_DECL mat<3, 3, T, defaultp> glm::make_mat3x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat3x4()

GLM_FUNC_DECL mat<3, 4, T, defaultp> glm::make_mat3x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat4()

GLM_FUNC_DECL mat<4, 4, T, defaultp> glm::make_mat4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat4x2()

GLM_FUNC_DECL mat<4, 2, T, defaultp> glm::make_mat4x2 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat4x3()

GLM_FUNC_DECL mat<4, 3, T, defaultp> glm::make_mat4x3 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_mat4x4()

GLM_FUNC_DECL mat<4, 4, T, defaultp> glm::make_mat4x4 | ( | T const *const | ptr | ) |

Build a matrix from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_quat()

GLM_FUNC_DECL qua<T, defaultp> glm::make_quat | ( | T const *const | ptr | ) |

Build a quaternion from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec1() [1/4]

GLM_FUNC_DECL vec<1, T, Q> glm::make_vec1 | ( | vec< 1, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec1() [2/4]

GLM_FUNC_DECL vec<1, T, Q> glm::make_vec1 | ( | vec< 2, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec1() [3/4]

GLM_FUNC_DECL vec<1, T, Q> glm::make_vec1 | ( | vec< 3, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec1() [4/4]

GLM_FUNC_DECL vec<1, T, Q> glm::make_vec1 | ( | vec< 4, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec2() [1/5]

GLM_FUNC_DECL vec<2, T, defaultp> glm::make_vec2 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec2() [2/5]

GLM_FUNC_DECL vec<2, T, Q> glm::make_vec2 | ( | vec< 1, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec2() [3/5]

GLM_FUNC_DECL vec<2, T, Q> glm::make_vec2 | ( | vec< 2, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec2() [4/5]

GLM_FUNC_DECL vec<2, T, Q> glm::make_vec2 | ( | vec< 3, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec2() [5/5]

GLM_FUNC_DECL vec<2, T, Q> glm::make_vec2 | ( | vec< 4, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec3() [1/5]

GLM_FUNC_DECL vec<3, T, defaultp> glm::make_vec3 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec3() [2/5]

GLM_FUNC_DECL vec<3, T, Q> glm::make_vec3 | ( | vec< 1, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec3() [3/5]

GLM_FUNC_DECL vec<3, T, Q> glm::make_vec3 | ( | vec< 2, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec3() [4/5]

GLM_FUNC_DECL vec<3, T, Q> glm::make_vec3 | ( | vec< 3, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec3() [5/5]

GLM_FUNC_DECL vec<3, T, Q> glm::make_vec3 | ( | vec< 4, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec4() [1/5]

GLM_FUNC_DECL vec<4, T, defaultp> glm::make_vec4 | ( | T const *const | ptr | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec4() [2/5]

GLM_FUNC_DECL vec<4, T, Q> glm::make_vec4 | ( | vec< 1, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec4() [3/5]

GLM_FUNC_DECL vec<4, T, Q> glm::make_vec4 | ( | vec< 2, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec4() [4/5]

GLM_FUNC_DECL vec<4, T, Q> glm::make_vec4 | ( | vec< 3, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ make_vec4() [5/5]

GLM_FUNC_DECL vec<4, T, Q> glm::make_vec4 | ( | vec< 4, T, Q > const & | v | ) |

Build a vector from a pointer.

See also
  GLM_GTC_type_ptr

## ◆ value_ptr()

GLM_FUNC_DECL genType::value_type const* glm::value_ptr | ( | genType const & | v | ) |

Return the constant address to the data of the input parameter.

See also
  GLM_GTC_type_ptr

glm::mat4
mat< 4, 4, float, defaultp > mat4
4 columns of 4 components matrix of single-precision floating-point numbers.
Definition: matrix_float4x4.hpp:20
glm::value_ptr
GLM_FUNC_DECL genType::value_type const * value_ptr(genType const &v)
Return the constant address to the data of the input parameter.
glm::vec3
vec< 3, float, defaultp > vec3
3 components vector of single-precision floating-point numbers.
Definition: vector_float3.hpp:15
type_ptr.hpp
GLM_GTC_type_ptr